Subject: Re: [PATCH 04/15] ref-filter: add ref_filter_clear()

From: Taylor Blau <[email-masked]>
Date: Mon, 8 May 2023 18:33:51 -0400

On Mon, May 08, 2023 at 03:29:22PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > From: Jeff King <[email-masked]>
> >
> > We did not bother to clean up at all in branch/tag, and for-each-ref
> > only hit a few elements. So this is probably cleaning up leaks, but I
> > didn't check yet.
> >
> > Note that the reachable_from and unreachable_from lists should be
> > cleaned as they are used. So this is just covering any case where we
> > might bail before running the reachability check.
> > ---
>
> Not signed-off?

Oops. Sorry about that, this should be:

    Signed-off-by: Jeff King <[email-masked]>
    Signed-off-by: Taylor Blau <[email-masked]>

> I wonder if structure assignment "*filter = blank" is easier to see
> but I think we've seen this "_INIT; memcpy()" dance before.

Yeah, this matches how many other _init() functions work (just looking
through the output of `git grep -B3 memcpy | grep -A3 _init`).

Thanks,
Taylor